Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServerC.i File Reference

This graph shows which files directly or indirectly include this file:

## Defines
#define | __TAO_UNBOUNDED_OBJECT_SEQUENCE_PORTABLESERVER_POALIST_CI_
#define | _PORTABLESERVER_POALIST_CI_
#define | _PORTABLESERVER_OBJECTID_CI_
#define | __TAO_UNBOUNDED_SEQUENCE_PORTABLESERVER_IDS_CI_
#define | _PORTABLESERVER_IDS_CI_
#define | _PORTABLESERVER_THREADPOLICY___CI_
#define | _PORTABLESERVER_LIFESPANPOLICY___CI_
#define | _PORTABLESERVER_IDUNIQUENESSPOLICY___CI_
#define | _PORTABLESERVER_IDASSIGNMENTPOLICY___CI_
#define | _PORTABLESERVER_IMPLICITACTIVATIONPOLICY___CI_
#define | _PORTABLESERVER_SERVANTRETENTIONPOLICY___CI_
#define | _PORTABLESERVER_REQUESTPROCESSINGPOLICY___CI_
#define | _PORTABLESERVER_POAMANAGER___CI_
#define | _PORTABLESERVER_ADAPTERACTIVATOR___CI_
#define | _PORTABLESERVER_SERVANTMANAGER___CI_
#define | _PORTABLESERVER_SERVANTACTIVATOR___CI_
#define | _PORTABLESERVER_SERVANTLOCATOR___CI_
#define | _PORTABLESERVER_POA___CI_
#define | _PORTABLESERVER_CURRENT___CI_
## Functions
CORBA::Boolean TAO_PortableServer_Export | operator>> (TAO_InputCDR &, PortableServer::ObjectId &)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const PortableServer::ForwardRequest &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &strm, PortableServer::ForwardRequest &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const PortableServer::NotAGroupObject &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &, PortableServer::NotAGroupObject &)
CORBA::Boolean TAO_PortableServer_Export | operator<< (TAO_OutputCDR &, const PortableServer::IDs &)
CORBA::Boolean TAO_PortableServer_Export | operator>> (TAO_InputCDR &, PortableServer::IDs &)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const PortableServer::ThreadPolicyValue &_tao_enumval)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &strm, PortableServer::ThreadPolicyValue &_tao_enumval)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const PortableServer::LifespanPolicyValue &_tao_enumval)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &strm, PortableServer::LifespanPolicyValue &_tao_enumval)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const PortableServer::IdUniquenessPolicyValue &_tao_enumval)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &strm, PortableServer::IdUniquenessPolicyValue &_tao_enumval)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const PortableServer::IdAssignmentPolicyValue &_tao_enumval)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &strm, PortableServer::IdAssignmentPolicyValue &_tao_enumval)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const PortableServer::ImplicitActivationPolicyValue &_tao_enumval)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &strm, PortableServer::ImplicitActivationPolicyValue &_tao_enumval)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const PortableServer::ServantRetentionPolicyValue &_tao_enumval)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &strm, PortableServer::ServantRetentionPolicyValue &_tao_enumval)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const PortableServer::RequestProcessingPolicyValue &_tao_enumval)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &strm, PortableServer::RequestProcessingPolicyValue &_tao_enumval)

## Define Documentation

#define __TAO_UNBOUNDED_OBJECT_SEQUENCE_PORTABLESERVER_POALIST_CI_

#define __TAO_UNBOUNDED_SEQUENCE_PORTABLESERVER_IDS_CI_

#define _PORTABLESERVER_ADAPTERACTIVATOR___CI_

#define _PORTABLESERVER_CURRENT___CI_

#define _PORTABLESERVER_IDASSIGNMENTPOLICY___CI_

#define _PORTABLESERVER_IDS_CI_

#define _PORTABLESERVER_IDUNIQUENESSPOLICY___CI_

#define _PORTABLESERVER_IMPLICITACTIVATIONPOLICY___CI_

#define _PORTABLESERVER_LIFESPANPOLICY___CI_

#define _PORTABLESERVER_OBJECTID_CI_

#define _PORTABLESERVER_POA___CI_

#define _PORTABLESERVER_POALIST_CI_

#define _PORTABLESERVER_POAMANAGER___CI_

#define _PORTABLESERVER_REQUESTPROCESSINGPOLICY___CI_

#define _PORTABLESERVER_SERVANTACTIVATOR___CI_

#define _PORTABLESERVER_SERVANTLOCATOR___CI_

#define _PORTABLESERVER_SERVANTMANAGER___CI_

#define _PORTABLESERVER_SERVANTRETENTIONPOLICY___CI_

#define _PORTABLESERVER_THREADPOLICY___CI_

## Function Documentation

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const PortableServer::RequestProcessingPolicyValue & | _tao_enumval
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const PortableServer::ServantRetentionPolicyValue & | _tao_enumval
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const PortableServer::ImplicitActivationPolicyValue & | _tao_enumval
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const PortableServer::IdAssignmentPolicyValue & | _tao_enumval
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const PortableServer::IdUniquenessPolicyValue & | _tao_enumval
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const PortableServer::LifespanPolicyValue & | _tao_enumval
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const PortableServer::ThreadPolicyValue & | _tao_enumval
| ) |

CORBA::Boolean TAO_PortableServer_Export operator<< | ( | TAO_OutputCDR & | ,
|  | const PortableServer::IDs & |
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const PortableServer::NotAGroupObject & | _tao_aggregate
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const PortableServer::ForwardRequest & | _tao_aggregate
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | PortableServer::RequestProcessingPolicyValue & | _tao_enumval
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | PortableServer::ServantRetentionPolicyValue & | _tao_enumval
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | PortableServer::ImplicitActivationPolicyValue & | _tao_enumval
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | PortableServer::IdAssignmentPolicyValue & | _tao_enumval
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | PortableServer::IdUniquenessPolicyValue & | _tao_enumval
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | PortableServer::LifespanPolicyValue & | _tao_enumval
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | PortableServer::ThreadPolicyValue & | _tao_enumval
| ) |

CORBA::Boolean TAO_PortableServer_Export operator>> | ( | TAO_InputCDR & | ,
|  | PortableServer::IDs & |
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | PortableServer::NotAGroupObject & |
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | PortableServer::ForwardRequest & | _tao_aggregate
| ) |

CORBA::Boolean TAO_PortableServer_Export operator>> | ( | TAO_InputCDR & | ,
|  | PortableServer::ObjectId & |
| ) |